[ VIGRA Homepage | Function Index | Class Index | Namespaces | File List | Main Page ]

| PLSAOptions Class Reference Unsupervised Decomposition |

Option object for the pLSA algorithm. More...

`#include <vigra/unsupervised_decomposition.hxx>`

List of all members.

## Public Member Functions
PLSAOptions & | maximumNumberOfIterations (unsigned int n)
PLSAOptions & | minimumRelativeGain (double g)
PLSAOptions & | normalizedComponentWeights (bool v=true)
| PLSAOptions ()

## Detailed Description

Option object for the pLSA algorithm.

## Constructor & Destructor Documentation

PLSAOptions | ( |  | ) |

Initialize all options with default values.

## Member Function Documentation

PLSAOptions& maximumNumberOfIterations | ( | unsigned int | n | ) |

Maximum number of iterations which is performed by the pLSA algorithm.

default: 50

PLSAOptions& minimumRelativeGain | ( | double | g | ) |

Minimum relative gain which is required for the algorithm to continue the iterations.

default: 1e-4

PLSAOptions& normalizedComponentWeights | ( | bool | v = `true` | ) |

Normalize the entries of the zv result array.

If true, the columns of zv sum to one. Otherwise, they have the same column sum as the original feature matrix.

default: true

The documentation for this class was generated from the following file:

- vigra/unsupervised_decomposition.hxx

© Ullrich Köthe (ullrich.koethe@iwr.uni-heidelberg.de) Heidelberg Collaboratory for Image Processing, University of Heidelberg, Germany | html generated using doxygen and Python vigra 1.9.0 (Tue Nov 6 2012)